Bug 858067 - Review Request: mingw-qt5-qtimageformats - Qt5 for Windows - QtImageFormats component
Review Request: mingw-qt5-qtimageformats - Qt5 for Windows - QtImageFormats c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 18:33 EDT by Erik van Pienbroek
Modified: 2013-06-13 22:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-qt5-qtimageformats-5.0.2-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:38:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:33:21 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtimageformats/mingw-qt5-qtimageformats.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtimageformats-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:09:16 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtimageformats/mingw-qt5-qtimageformats.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtimageformats-5.0.0-0.2.beta1.git20121112.a0ec617b.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.a0ec617b
- Update to 20121112 snapshot (rev a0ec617b)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
- Dropped upstreamed patch
Comment 2 Erik van Pienbroek 2013-02-09 07:47:12 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtimageformats/mingw-qt5-qtimageformats.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtimageformats/5.0.1/1.fc19/src/mingw-qt5-qtimageformats-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=119

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 4 Erik van Pienbroek 2013-05-11 13:19:45 EDT
Correct updated Spec URL: http://svn.nntpgrab.nl/svn/fedora_cross/mingw-qt5-qtimageformats/mingw-qt5-qtimageformats.spec
Comment 5 Sandro Mani 2013-06-01 19:02:41 EDT
$ rpmlint mingw32-qt5-qtimageformats-5.0.2-1.fc20.noarch.rpm
mingw32-qt5-qtimageformats.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw64-qt5-qtimageformats-5.0.2-1.fc20.noarch.rpm
mingw64-qt5-qtimageformats.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw-qt5-qtimageformats-5.0.2-1.fc20.src.rpm
mingw-qt5-qtimageformats.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtimageformats.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtimageformats.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtimageformats.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


MUST: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

Apart from that issue, everything is okay.
Comment 7 Sandro Mani 2013-06-02 18:33:59 EDT
Approved!
Comment 8 Erik van Pienbroek 2013-06-03 06:58:57 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtimageformats
Short Description: Qt5 for Windows - QtImageFormats component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 9 Gwyn Ciesla 2013-06-03 09:29:36 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-06-03 18:22:03 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc19,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19,mingw-qt5-qttranslations-5.0.2-2.fc19
Comment 11 Fedora Update System 2013-06-03 18:23:56 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtimageformats-5.0.2-2.fc18,mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18,mingw-qt5-qttranslations-5.0.2-2.fc18
Comment 12 Fedora Update System 2013-06-04 22:26:25 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-06-13 02:38:35 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc19, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc19, mingw-qt5-qttranslations-5.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-06-13 22:32:57 EDT
mingw-qt5-qtimageformats-5.0.2-2.fc18, mingw-qt5-qtgraphicaleffects-5.0.2-4.fc18, mingw-qt5-qttranslations-5.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.